<!-- DO NOT EDIT: this file is automatically generated using scw-doc-gen -->
# Documentation for `scw tem`
Tem
  
- [Domain management commands](#domain-management-commands)
  - [Ask for an immediate check of a domain (DNS check)](#ask-for-an-immediate-check-of-a-domain-(dns-check))
  - [Register a domain in a project](#register-a-domain-in-a-project)
  - [Get information about a domain](#get-information-about-a-domain)
  - [List domains in a project and/or in an organization](#list-domains-in-a-project-andor-in-an-organization)
  - [Revoke a domain](#revoke-a-domain)
- [Email management commands](#email-management-commands)
  - [Try to cancel an email if it has not yet been sent](#try-to-cancel-an-email-if-it-has-not-yet-been-sent)
  - [Send an email](#send-an-email)
  - [Get information about an email](#get-information-about-an-email)
  - [Get statistics on the email statuses](#get-statistics-on-the-email-statuses)
  - [List emails sent from a domain and/or for a project and/or for an organization](#list-emails-sent-from-a-domain-andor-for-a-project-andor-for-an-organization)

  
## Domain management commands

Domain management commands.


### Ask for an immediate check of a domain (DNS check)

Ask for an immediate check of a domain (DNS check).

**Usage:**

```
scw tem domain check <domain-id ...> [arg=value ...]
```


**Args:**

| Name |   | Description |
|------|---|-------------|
| domain-id | Required | ID of the domain to check |
| region | Default: `fr-par`<br />One of: `fr-par` | Region to target. If none is passed will use default region from the config |



### Register a domain in a project

Register a domain in a project.

**Usage:**

```
scw tem domain create [arg=value ...]
```


**Args:**

| Name |   | Description |
|------|---|-------------|
| project-id |  | Project ID to use. If none is passed the default project ID will be used |
| domain-name |  |  |
| region | Default: `fr-par`<br />One of: `fr-par` | Region to target. If none is passed will use default region from the config |



### Get information about a domain

Get information about a domain.

**Usage:**

```
scw tem domain get <domain-id ...> [arg=value ...]
```


**Args:**

| Name |   | Description |
|------|---|-------------|
| domain-id | Required | ID of the domain |
| region | Default: `fr-par`<br />One of: `fr-par` | Region to target. If none is passed will use default region from the config |



### List domains in a project and/or in an organization

List domains in a project and/or in an organization.

**Usage:**

```
scw tem domain list [arg=value ...]
```


**Args:**

| Name |   | Description |
|------|---|-------------|
| project-id |  |  |
| status.{index} | One of: `unknown`, `checked`, `unchecked`, `invalid`, `locked`, `revoked`, `pending` |  |
| name |  |  |
| organization-id |  |  |
| region | Default: `fr-par`<br />One of: `fr-par` | Region to target. If none is passed will use default region from the config |



### Revoke a domain

Revoke a domain.

**Usage:**

```
scw tem domain revoke <domain-id ...> [arg=value ...]
```


**Args:**

| Name |   | Description |
|------|---|-------------|
| domain-id | Required | ID of the domain to revoke |
| region | Default: `fr-par`<br />One of: `fr-par` | Region to target. If none is passed will use default region from the config |



## Email management commands

Email management commands.


### Try to cancel an email if it has not yet been sent

Try to cancel an email if it has not yet been sent.

**Usage:**

```
scw tem email cancel <email-id ...> [arg=value ...]
```


**Args:**

| Name |   | Description |
|------|---|-------------|
| email-id | Required | ID of the email to cancel |
| region | Default: `fr-par`<br />One of: `fr-par` | Region to target. If none is passed will use default region from the config |



### Send an email

Send an email.

**Usage:**

```
scw tem email create [arg=value ...]
```


**Args:**

| Name |   | Description |
|------|---|-------------|
| from.email |  | Email address |
| from.name |  | Optional display name |
| to.{index}.email |  | Email address |
| to.{index}.name |  | Optional display name |
| cc.{index}.email |  | Email address |
| cc.{index}.name |  | Optional display name |
| bcc.{index}.email |  | Email address |
| bcc.{index}.name |  | Optional display name |
| subject |  | Message subject |
| text |  | Text content |
| html |  | HTML content |
| project-id |  | Project ID to use. If none is passed the default project ID will be used |
| attachments.{index}.name |  | Filename of the attachment |
| attachments.{index}.type |  | MIME type of the attachment (Currently only allow, text files, pdf and html files) |
| attachments.{index}.content |  | Content of the attachment, encoded in base64 |
| send-before |  | Maximum date to deliver mail |
| region | Default: `fr-par`<br />One of: `fr-par` | Region to target. If none is passed will use default region from the config |



### Get information about an email

Get information about an email.

**Usage:**

```
scw tem email get <email-id ...> [arg=value ...]
```


**Args:**

| Name |   | Description |
|------|---|-------------|
| email-id | Required | ID of the email to retrieve |
| region | Default: `fr-par`<br />One of: `fr-par` | Region to target. If none is passed will use default region from the config |



### Get statistics on the email statuses

Get statistics on the email statuses.

**Usage:**

```
scw tem email get-statistics [arg=value ...]
```


**Args:**

| Name |   | Description |
|------|---|-------------|
| project-id |  | Optional, count emails for this project |
| domain-id |  | Optional, count emails send from this domain (must be coherent with the `project_id` and the `organization_id`) |
| since |  | Optional, count emails created after this date |
| until |  | Optional, count emails created before this date |
| mail-from |  | Optional, count emails sent with this `mail_from` sender's address |
| region | Default: `fr-par`<br />One of: `fr-par` | Region to target. If none is passed will use default region from the config |



### List emails sent from a domain and/or for a project and/or for an organization

List emails sent from a domain and/or for a project and/or for an organization.

**Usage:**

```
scw tem email list [arg=value ...]
```


**Args:**

| Name |   | Description |
|------|---|-------------|
| project-id |  | Optional ID of the project in which to list the emails |
| domain-id |  | Optional ID of the domain for which to list the emails |
| since |  | Optional, list emails created after this date |
| until |  | Optional, list emails created before this date |
| mail-from |  | Optional, list emails sent with this `mail_from` sender's address |
| mail-to |  | Optional, list emails sent with this `mail_to` recipient's address |
| statuses.{index} | One of: `unknown`, `new`, `sending`, `sent`, `failed`, `canceled` | Optional, list emails having any of this status |
| region | Default: `fr-par`<br />One of: `fr-par` | Region to target. If none is passed will use default region from the config |



